diff -Naur kicad-5.1.6-orig/pcbnew/CMakeLists.txt kicad-5.1.6/pcbnew/CMakeLists.txt
--- kicad-5.1.6-orig/pcbnew/CMakeLists.txt	2020-05-11 11:27:08.000000000 -0700
+++ kicad-5.1.6/pcbnew/CMakeLists.txt	2020-05-25 20:57:03.387859088 -0700
@@ -805,11 +805,7 @@
         add_dependencies( ScriptingModulesPcbnewSoCopy ScriptingPythonDirectoryCreation )
         set( PYMOD_EXT "so" )
     else()  # only linux remains among supported platforms
-        add_library( pcbnew_python MODULE $<TARGET_OBJECTS:pcbnew_kiface_objects> )
-        target_link_libraries( pcbnew_python ${PCBNEW_KIFACE_LIBRARIES} )
-        set_target_properties( pcbnew_python PROPERTIES OUTPUT_NAME pcbnew PREFIX "_" SUFFIX ".so" )
-        install( TARGETS pcbnew_python DESTINATION ${PYTHON_DEST} COMPONENT binary )
-
+        install( FILES ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.kiface DESTINATION ${PYTHON_DEST} COMPONENT binary RENAME "_pcbnew.so" )
         set( PYMOD_EXT "so" )
     endif()
 
@@ -824,18 +820,16 @@
             DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.${PYMOD_EXT}
             )
     else()
-
-
-    # For phase 1, copy _pcbnew.kiface to the python module.
-    add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.${PYMOD_EXT}
-        DEPENDS pcbnew_kiface
-        COMMAND ${CMAKE_COMMAND} -E copy _pcbnew.kiface _pcbnew.${PYMOD_EXT}
-        COMMENT "Creating python's pcbnew native module _pcbnew.${PYMOD_EXT} for command line use."
-        )
-    add_custom_target(
-        pcbnew_python_module ALL
-        DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.${PYMOD_EXT}
-        )
+        # For phase 1, copy _pcbnew.kiface to the python module.
+        add_custom_command( OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.${PYMOD_EXT}
+            DEPENDS pcbnew_kiface
+            COMMAND ${CMAKE_COMMAND} -E copy _pcbnew.kiface _pcbnew.${PYMOD_EXT}
+            COMMENT "Creating python's pcbnew native module _pcbnew.${PYMOD_EXT} for command line use."
+            )
+        add_custom_target(
+            pcbnew_python_module ALL
+            DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/_pcbnew.${PYMOD_EXT}
+            )
     endif()
 
 endif()
